DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
IODPatientModule Class Reference

Class representing the Patient Module: More...

Inheritance diagram for IODPatientModule:

## Public Member Functions
| IODPatientModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODPatientModule ()
| Constructor.
virtual | ~IODPatientModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("PatientModule") More...
virtual OFCondition | getPatientName (OFString &value, const signed long pos=0) const
| Get Patient's Name. More...
virtual OFCondition | getPatientID (OFString &value, const signed long pos=0) const
| Get Patient ID. More...
virtual OFCondition | getPatientBirthDate (OFString &value, const signed long pos=0) const
| Get Patient's Birth Date. More...
virtual OFCondition | getPatientSex (OFString &value, const signed long pos=0) const
| Get Patient's Sex. More...
virtual OFCondition | setPatientName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Name. More...
virtual OFCondition | setPatientID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient ID. More...
virtual OFCondition | setPatientBirthDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Birth Date. More...
virtual OFCondition | setPatientSex (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Sex. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| The name of this module ("PatientModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Patient Module:

Patient's Name: (PN, 1, 2) Patient ID: (LO, 1, 2) Patient's Birth Date: (DA, 1, 2) Patient's Sex: (CS, 1, 2)

## Constructor & Destructor Documentation

## ◆ IODPatientModule()

IODPatientModule::IODPatientModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getName()

virtual OFString IODPatientModule::getName | ( |  | ) | const
| virtual

Get name of module ("PatientModule")

Returns
  Name of the module ("PatientModule")

Implements IODComponent.

## ◆ getPatientBirthDate()

virtual OFCondition IODPatientModule::getPatientBirthDate | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Patient's Birth Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPatientID()

virtual OFCondition IODPatientModule::getPatientID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Patient ID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPatientName()

virtual OFCondition IODPatientModule::getPatientName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Patient's Name.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPatientSex()

virtual OFCondition IODPatientModule::getPatientSex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Patient's Sex.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientBirthDate()

virtual OFCondition IODPatientModule::setPatientBirthDate | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient's Birth Date.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientID()

virtual OFCondition IODPatientModule::setPatientID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient ID.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientName()

virtual OFCondition IODPatientModule::setPatientName | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient's Name.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientSex()

virtual OFCondition IODPatientModule::setPatientSex | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient's Sex.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modpatient.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1